API ReferenceapiidentityGET /v1/admin/oauth-clients

GET /v1/admin/oauth-clients

Service: identity · operationId: (none)

List own OAuth clients

Required scopes

(no scope declared — review service config)

Responses

200 List of clients

{
  "type": "object",
  "properties": {
    "clients": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "client_id": {
            "type": "string"
          },
          "client_name": {
            "type": "string"
          },
          "client_uri": {
            "type": [
              "string",
              "null"
            ]
          },
          "logo_uri": {
            "type": [
              "string",
              "null"
            ]
          },
          "client_type": {
            "type": "string",
            "enum": [
              "confidential",
              "public"
            ]
          },
          "redirect_uris": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "allowed_scopes": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "allowed_origins": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "owner_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "brand_id": {
            "type": "string"
          },
          "is_first_party": {
            "type": "boolean"
          },
          "enabled": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "client_id",
          "client_name",
          "client_uri",
          "logo_uri",
          "client_type",
          "redirect_uris",
          "allowed_scopes",
          "allowed_origins",
          "owner_id",
          "brand_id",
          "is_first_party",
          "enabled",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "clients"
  ]
}

400 Error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/admin/oauth-clients \
  -H "Authorization: Bearer $ACCESS_TOKEN"